% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/image_analysis_filters.R
\name{wbt_k_nearest_mean_filter}
\alias{wbt_k_nearest_mean_filter}
\title{K nearest mean filter}
\usage{
wbt_k_nearest_mean_filter(
  input,
  output,
  filterx = 11,
  filtery = 11,
  k = 5,
  wd = NULL,
  verbose_mode = FALSE,
  compress_rasters = FALSE,
  command_only = FALSE
)
}
\arguments{
\item{input}{Input raster file.}

\item{output}{Output raster file.}

\item{filterx}{Size of the filter kernel in the x-direction.}

\item{filtery}{Size of the filter kernel in the y-direction.}

\item{k}{k-value in pixels; this is the number of nearest-valued neighbours to use.}

\item{wd}{Changes the working directory.}

\item{verbose_mode}{Sets verbose mode. If verbose mode is \code{FALSE}, tools will not print output messages.}

\item{compress_rasters}{Sets the flag used by 'WhiteboxTools' to determine whether to use compression for output rasters.}

\item{command_only}{Return command that would be executed by \code{system()} rather than running tool.}
}
\value{
Returns the tool text outputs.
}
\description{
A k-nearest mean filter is a type of edge-preserving smoothing filter.
}
\keyword{ImageProcessingToolsFilters}
