% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lidar_analysis.R
\name{wbt_lidar_thin_high_density}
\alias{wbt_lidar_thin_high_density}
\title{Lidar thin high density}
\usage{
wbt_lidar_thin_high_density(
  input,
  output,
  density,
  resolution = 1,
  save_filtered = FALSE,
  wd = NULL,
  verbose_mode = FALSE,
  compress_rasters = FALSE,
  command_only = FALSE
)
}
\arguments{
\item{input}{Input LiDAR file.}

\item{output}{Output LiDAR file.}

\item{density}{Max. point density (points / m^3).}

\item{resolution}{Output raster's grid resolution.}

\item{save_filtered}{Save filtered points to separate file?.}

\item{wd}{Changes the working directory.}

\item{verbose_mode}{Sets verbose mode. If verbose mode is \code{FALSE}, tools will not print output messages.}

\item{compress_rasters}{Sets the flag used by 'WhiteboxTools' to determine whether to use compression for output rasters.}

\item{command_only}{Return command that would be executed by \code{system()} rather than running tool.}
}
\value{
Returns the tool text outputs.
}
\description{
Thins points from high density areas within a LiDAR point cloud.
}
\keyword{LiDARTools}
